%bcond_without check
%global debug_package %{nil}

%global goipath         github.com/prometheus/common
Version:                0.45.0

%gometa

%global common_description %{expand:
This repository contains Go libraries that are shared across Prometheus
components and libraries.

 - config: Common configuration structures
 - expfmt: Decoding and encoding for the exposition format
 - log: A logging wrapper around logrus
 - model: Shared data structures
 - route: A routing wrapper around httprouter using context.Context
 - version: Version information and metrics}

%global golicenses      LICENSE NOTICE
%global godocs          CONTRIBUTING.md MAINTAINERS.md README.md

Name:           %{goname}
Release:    1%{?dist}
Summary:        Go libraries shared across Prometheus components and libraries

License:        Apache-2.0
URL:            %{gourl}
Source0:        %{gosource}
Source1:        vendor.tar.gz

%description %{common_description}

%gopkg

%prep
%goprep
%autopatch -p1
tar -xzf %{SOURCE1}

%generate_buildrequires

%install
%gopkginstall

%if %{without bootstrap}
%if %{with check}
%check
export GODEBUG=x509sha1=1
%gocheck
%endif
%endif

%gopkgfiles

%changelog
* Sat Sep 14 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.45.0-1
- initial build
